lumiExpresso {lumi} | R Documentation

## From raw Illumina probe intensities to expression values

### Description

Goes from raw Illumina probe intensities to expression values

### Usage

    lumiExpresso(lumiBatch, bg.correct = TRUE, bgcorrect.param = list(method='bgAdjust'), variance.stabilize = TRUE,
            varianceStabilize.param = list(), normalize = TRUE, normalize.param = list(), QC.evaluation = TRUE,
            QC.param = list(), verbose = TRUE)

### Arguments

`lumiBatch` | a LumiBatch object, which can be the return of `lumiR`
`bg.correct` | a boolean to decide whether to do background correction or not
`bgcorrect.param` | a list of parameters of `lumiB`
`variance.stabilize` | a boolean to decide whether to do variance stabilization or not
`varianceStabilize.param` | a list of parameters of `lumiT`
`normalize` | a boolean to decide whether to do normalization or not
`normalize.param` | a list of parameters of `lumiN`
`QC.evaluation` | a boolean to decide whether to do quality control estimation before and after preprocessing
`QC.param` | a list of parameters of `lumiQ`
`verbose` | a boolean to decide whether to print out some messages

### Details

The function is to encapsulate the major functions of Illumina preprocessing. It is organized in a similar way as the `expresso` function in affy package.

### Value

return a processed LumiBatch object. The operation history can be track in the history slot of the object.

### Author(s)

Pan Du

### See Also

`lumiB`, `lumiT`, `lumiN`

### Examples

    ## load example data
    data(example.lumi)

    ## Do all the default preprocessing in one step
    lumi.N <- lumiExpresso(example.lumi)

    ## Do customized preprocessing. No variance stabilizing or log transform, use Quantile normalization.
    lumi.N <- lumiExpresso(example.lumi, variance.stabilize=FALSE, normalize.param = list(method='quantile'))

[Package lumi version 1.10.2 Index]